% 
% Solve Counterfactual Scenario
%
clear

cd 'G:\Public Economics\Forschung\GRW Projekt\Revision 2 JIE\matlab';
path='G:\Public Economics\Forschung\GRW Projekt\Revision 2 JIE\matlab';
load([path '\output\mat\Results_2013_KAPPA1.mat']);
addpath([path '\functions\']);

PARA_out

%
% No changes 
%
PARA.TSw1=PARA.TSw0;
PARA.TSa1=PARA.TSa0;
PARA.TSd1=PARA.TSd0;

[U_ch,PARA]=solveCounterfactual(PARA);
U_ch(1:7,1)

%
% Simulate - No Transfers 
%
PARA.TSw1=zeros(n,1);
PARA.TSa1=zeros(n,1);
PARA.TSd1=zeros(n,1);

PARA.t1=zeros(n,1);
PARA.t0=zeros(n,1);

[U_ch,PARA]=solveCounterfactual(PARA);
U_ch(1:7,1)

T = table(regions,id_0,PARA.U_ch,PARA.w_ch,PARA.lambda_ch,diag(PARA.pi_ch),PARA.v_ch,PARA.a_ch,diag(PARA.d_ch), sum(PARA.d_ch.*PARA.d0,2)./sum(PARA.d0,2));
T.Properties.VariableNames = {'Region' 'RegionID' 'U_ch' 'w_ch' 'L_ch' 'pi_ch' 'v_ch' 'a_ch' 'd_ch' 'sum_d_ch'};
filename = [path '\output\xls\output.xlsx'];
system('taskkill /F /IM EXCEL.EXE');
writetable(T,filename,'Sheet',['No Transfers'])

%
% Effect on GDP due to Object 1 Transfers
%
GDP_ch=PARA.v_ch./(PARA.P_ch.^(PARA.alpha).*PARA.r_ch.^(1-PARA.alpha));
mean(nonzeros(1./GDP_ch))
GDP_ch_obj1=mean(nonzeros((1./GDP_ch).*PARA.object_1))
GDP_ch_obj0=mean(nonzeros((1./GDP_ch).*abs(PARA.object_1-1)))
(GDP_ch_obj1/GDP_ch_obj0-1)*100

GDP_ch=PARA.v_ch./(PARA.P_ch.^(PARA.alpha).*PARA.r_ch.^(1-PARA.alpha));
mean(nonzeros(abs(PARA.object_1-1).*GDP_ch))-mean(nonzeros(PARA.object_1.*GDP_ch))

%
% Counterfactual P.35, w change, a and d observed transfers 
%
[dataimport,dataimport2] = xlsread([path '\output\xls\output_w1.xlsx'],['Opt Trans w t1 No Random']);
PARA.TSw1=dataimport(:, 3);

PARA.TS1=zeros(n,1); %Function uses PARA.TSw1, PARA.TSa1, PARA.TSd1 such that we can ignore TS1
PARA.TBAR=PARA.TBARc;
PARA.t1=PARA.TBAR./sum(PARA.w0.*PARA.lambda0.*PARA.LBAR).*ones(n,1);

PARA.TSa1=PARA.TSa0;
PARA.TSd1=PARA.TSd0;
[U_ch,PARA]=solveCounterfactual(PARA);
U_ch(1:7,1)

T = table(regions,id_0,PARA.U_ch,PARA.w_ch,PARA.lambda_ch,diag(PARA.pi_ch),PARA.v_ch,PARA.a_ch,diag(PARA.d_ch),sum(PARA.d_ch.*PARA.d0,2)./sum(PARA.d0,2));
T.Properties.VariableNames = {'Region' 'RegionID' 'U_ch' 'w_ch' 'L_ch' 'pi_ch' 'v_ch' 'a_ch' 'd_ch' 'sum_d_ch'};
filename = [path '\output\xls\output.xlsx'];
system('taskkill /F /IM EXCEL.EXE');
writetable(T,filename,'Sheet',['W optimal ad obse'])

%
% Simulate - Equal Transfers 
%
PARA.t1=PARA.TBAR./sum(PARA.w0.*PARA.lambda0.*PARA.LBAR).*ones(n,1);
PARA.TSw1=1./PARA.n;
PARA.TSa1=1./PARA.n;
PARA.TSd1=1./PARA.n;

[U_ch,PARA]=solveCounterfactual(PARA);
U_ch(1:7,1)

T = table(regions,id_0,PARA.U_ch,PARA.w_ch,PARA.lambda_ch,diag(PARA.pi_ch),PARA.v_ch,PARA.a_ch,diag(PARA.d_ch),sum(PARA.d_ch.*PARA.d0,2)./sum(PARA.d0,2));
T.Properties.VariableNames = {'Region' 'RegionID' 'U_ch' 'w_ch' 'L_ch' 'pi_ch' 'v_ch' 'a_ch' 'd_ch' 'sum_d_ch'};
filename = [path '\output\xls\output.xlsx'];
system('taskkill /F /IM EXCEL.EXE');
writetable(T,filename,'Sheet',['Eq distribution'])

%
% Simulate No Transfers - all other distributions
%
PARA.TS1=zeros(n,1);
PARA.TSw1=zeros(n,1);
PARA.TSa1=zeros(n,1);
PARA.TSd1=zeros(n,1);
PARA.t1=zeros(n,1);
PARA.t0=zeros(n,1);

[U_ch,PARA]=solveCounterfactual_w(PARA);
PARA_w=PARA;

[U_ch,PARA]=solveCounterfactual_a(PARA);
PARA_a=PARA;

[U_ch,PARA]=solveCounterfactual_d(PARA);
PARA_d=PARA;

[U_ch,PARA]=solveCounterfactual(PARA);
PARA_c=PARA;

noT_l=[PARA_w.lambda_ch,PARA_a.lambda_ch,PARA_a.lambda_ch,PARA_c.lambda_ch].*repmat(PARA.L0,[1,4]);
noT_v=[PARA_w.v_ch,PARA_a.v_ch,PARA_a.v_ch,PARA_c.v_ch].*repmat(PARA.v0,[1,4]);
noT_w=[PARA_w.w_ch,PARA_a.w_ch,PARA_a.w_ch,PARA_c.w_ch].*repmat(PARA.w0,[1,4]);
noT_P=[PARA_w.P_ch,PARA_a.P_ch,PARA_a.P_ch,PARA_c.P_ch].*repmat(PARA.P0,[1,4]);
noT_r=[PARA_w.r_ch,PARA_a.r_ch,PARA_a.r_ch,PARA_c.r_ch].*repmat(PARA.r0,[1,4]);
noT_realv0=noT_v./(noT_P.^PARA.alpha.*noT_r.^(1-PARA.alpha));

for ii=1:4
    var_lambda0(1,ii)=var(noT_l(:,ii)).^(0.5)./mean(noT_l(:,ii));
    var_v0(1,ii)=var(noT_v(:,ii)).^(0.5)./mean(noT_v(:,ii));
    var_realv0(1,ii)=var(noT_realv0(:,ii)).^(0.5)./mean(noT_realv0(:,ii));
end
var0=[var_lambda0;var_v0;var_realv0];

%si=4;
for i=1:5
    load([path '\output\mat\Results_2013_KAPPA1.mat']);
    PARA_out

    U_chSim=zeros(n,4);
    dwdT=zeros(n,4);
    dLdT=zeros(n,4);
    dvdT=zeros(n,4);
    dpdT=zeros(n,4);
    dadT=zeros(n,4);
    dddT=zeros(n,4);
    dPdT=zeros(n,4);
    drdT=zeros(n,4);
    dTBARdT=zeros(n,4);
    usedt1=zeros(n,4);
    usedTBAR=zeros(n,4);
    usedTS1=zeros(n,4);
    
    U_chSim_relobs=zeros(n,4);
    dwdT_relobs=zeros(n,4);
    dLdT_relobs=zeros(n,4);
    dvdT_relobs=zeros(n,4);
    dpdT_relobs=zeros(n,4);
    dadT_relobs=zeros(n,4);
    dddT_relobs=zeros(n,4);
    dPdT_relobs=zeros(n,4);
    drdT_relobs=zeros(n,4);
    dTBARdT_relobs=zeros(n,4);
    usedt1_relobs=zeros(n,4);
    usedTBAR_relobs=zeros(n,4);
    usedTS1_relobs=zeros(n,4);
    
    if i==1 % Simulation: No Transfers
        PARA.TSw1=zeros(n,1);
        PARA.TSa1=zeros(n,1);
        PARA.TSd1=zeros(n,1);
        PARA.TS1=zeros(n,1);
        
        PARA.TBAR=0;
        PARA.TBARw=0;
        PARA.TBARa=0;
        PARA.TBARd=0;
        PARA.TBARc=0;
        
        PARA.optim='All';
        
    elseif i==2 % Simulation: Equal Distribution
        PARA.TSw1=1./PARA.n;
        PARA.TSa1=1./PARA.n;
        PARA.TSd1=1./PARA.n;
        
        PARA.optim='All';

    elseif i==3 % Simulation: Observed Trans, equal Taxes
        PARA.TSw1=PARA.TSw0;
        PARA.TSa1=PARA.TSa0;
        PARA.TSd1=PARA.TSd0;
        
        PARA.optim='All';

    elseif i==4 % Simulation: Optimal over Trans, t1
        [dataimport,dataimport2] = xlsread([path '\output\xls\output_w1.xlsx'],['Opt Trans w t11 No Random']);
        PARA.TSw1=dataimport(:, 3);
        
        [dataimport,dataimport2] = xlsread([path '\output\xls\output_a1.xlsx'],['Opt Trans a t11 Random']);
        PARA.TSa1=dataimport(:, 3);
        
        [dataimport,dataimport2] = xlsread([path '\output\xls\output_d1.xlsx'],['Opt Trans d t2 Random']);
        PARA.TSd1=dataimport(:, 3);

        PARA.optim='All';

    elseif i==5 % Simulation: Optimal over Trans, t1
        [dataimport,dataimport2] = xlsread([path '\output\xls\output_w1.xlsx'],['Opt Trans w t1 No Actual stVar']);
        PARA.TSw1=dataimport(:, 3);
        
        [dataimport,dataimport2] = xlsread([path '\output\xls\output_a1.xlsx'],['Opt Trans a t1 Actual stVar']);
        PARA.TSa1=dataimport(:, 3);
        
        [dataimport,dataimport2] = xlsread([path '\output\xls\output_d1.xlsx'],['Opt Trans d t1 Actual stVar']);
        PARA.TSd1=dataimport(:, 3);

        PARA.optim='All';
    end

    
    if strcmp(PARA.optim, 'w')==1 | strcmp(PARA.optim, 'All')==1

        PARA.TBAR=PARA.TBARw;
    	PARA.t1=PARA.TBAR./sum(PARA.w0.*PARA.lambda0.*PARA.LBAR).*ones(n,1);
        PARA.TS1=PARA.TSw1;
        
        disp(['************** Wages case: ' num2str(i) '****************']);
        [U_ch,PARA]=solveCounterfactual_w(PARA);
        U_chSim(:,1)=U_ch./PARA_w.U_ch;
        dwdT(:,1)=PARA.w_ch./PARA_w.w_ch;
        dLdT(:,1)=PARA.lambda_ch./PARA_w.lambda_ch;
        dvdT(:,1)=PARA.v_ch./PARA_w.v_ch;
        dpdT(:,1)=diag(PARA.pi_ch)./diag(PARA_w.pi_ch); 
        dadT(:,1)=PARA.a_ch./PARA_w.a_ch; 
        dddT(:,1)=diag(PARA.d_ch)./diag(PARA_w.d_ch); 
        dd2dT(:,1)=sum(PARA.d_ch.*PARA.d0,2)./sum(PARA_w.d_ch.*PARA.d0,2); 
        dPdT(:,1)=PARA.P_ch./PARA_w.P_ch; 
        drdT(:,1)=PARA.r_ch./PARA_w.r_ch; 
        dTBARdT(:,1)=PARA.TBAR_ch;
        usedt1(:,1)=PARA.t1;
        usedTBAR(:,1)=PARA.TBAR.*ones(n,1);
        usedTS1(:,1)=PARA.TS1;
        
        U_chSim_relobs(:,1)=U_ch;
        dwdT_relobs(:,1)=PARA.w_ch;
        dLdT_relobs(:,1)=PARA.lambda_ch;
        dvdT_relobs(:,1)=PARA.v_ch;
        dpdT_relobs(:,1)=diag(PARA.pi_ch); 
        dadT_relobs(:,1)=PARA.a_ch; 
        dddT_relobs(:,1)=diag(PARA.d_ch); 
        dd2dT_relobs(:,1)=sum(PARA.d_ch.*PARA.d0,2)./sum(PARA.d0,2);
        dPdT_relobs(:,1)=PARA.P_ch; 
        drdT_relobs(:,1)=PARA.r_ch; 
        dTBARdT_relobs(:,1)=PARA.TBAR_ch;
        usedt1_relobs(:,1)=PARA.t1;
        usedTBAR_relobs(:,1)=PARA.TBAR.*ones(n,1);
        usedTS1_relobs(:,1)=PARA.TS1;
        dTdT_relobs(:,1)=(PARA.TSw1.*PARA.ShareTw0).*PARA.TBAR_ch./(PARA.TSw0.*PARA.ShareTw0);
    end
    
    if strcmp(PARA.optim, 'a')==1 | strcmp(PARA.optim, 'All')==1

        PARA.TBAR=PARA.TBARa;
    	PARA.t1=PARA.TBAR./sum(PARA.w0.*PARA.lambda0.*PARA.LBAR).*ones(n,1);
        PARA.TS1=PARA.TSa1;
             
        disp(['************** Tech Amen case: ' num2str(i) ' ****************']);
        [U_ch,PARA]=solveCounterfactual_a(PARA);
        U_chSim(:,2)=U_ch./PARA_a.U_ch;
        dwdT(:,2)=PARA.w_ch./PARA_a.w_ch;
        dLdT(:,2)=PARA.lambda_ch./PARA_a.lambda_ch;
        dvdT(:,2)=PARA.v_ch./PARA_a.v_ch;
        dpdT(:,2)=diag(PARA.pi_ch)./diag(PARA_a.pi_ch); 
        dadT(:,2)=PARA.a_ch./PARA_a.a_ch; 
        dddT(:,2)=diag(PARA.d_ch)./diag(PARA_a.d_ch); 
        dd2dT(:,2)=sum(PARA.d_ch.*PARA.d0,2)./sum(PARA_a.d_ch.*PARA.d0,2); 
        dPdT(:,2)=PARA.P_ch./PARA_a.P_ch; 
        drdT(:,2)=PARA.r_ch./PARA_a.r_ch; 
        dTBARdT(:,2)=PARA.TBAR_ch;
        usedt1(:,2)=PARA.t1;
        usedTBAR(:,2)=PARA.TBAR.*ones(n,1);
        usedTS1(:,2)=PARA.TS1;

        U_chSim_relobs(:,2)=U_ch;
        dwdT_relobs(:,2)=PARA.w_ch;
        dLdT_relobs(:,2)=PARA.lambda_ch;
        dvdT_relobs(:,2)=PARA.v_ch;
        dpdT_relobs(:,2)=diag(PARA.pi_ch); 
        dadT_relobs(:,2)=PARA.a_ch; 
        dddT_relobs(:,2)=diag(PARA.d_ch); 
        dd2dT_relobs(:,2)=sum(PARA.d_ch.*PARA.d0,2)./sum(PARA.d0,2); 
        dPdT_relobs(:,2)=PARA.P_ch; 
        drdT_relobs(:,2)=PARA.r_ch; 
        dTBARdT_relobs(:,2)=PARA.TBAR_ch;
        usedt1_relobs(:,2)=PARA.t1;
        usedTBAR_relobs(:,2)=PARA.TBAR.*ones(n,1);
        usedTS1_relobs(:,2)=PARA.TS1;
        dTdT_relobs(:,2)=(PARA.TSa1.*PARA.ShareTa0).*PARA.TBAR_ch./(PARA.TSa0.*PARA.ShareTa0);
    end
    
    if strcmp(PARA.optim, 'd')==1 | strcmp(PARA.optim, 'All')==1
        
        PARA.TBAR=PARA.TBARd;
    	PARA.t1=PARA.TBAR./sum(PARA.w0.*PARA.lambda0.*PARA.LBAR).*ones(n,1);
        PARA.TS1=PARA.TSd1;
        
        disp(['************** Trade Cost case: ' num2str(i) ' ****************']);
        [U_ch,PARA]=solveCounterfactual_d(PARA);
        U_chSim(:,3)=U_ch./PARA_d.U_ch;
        dwdT(:,3)=PARA.w_ch./PARA_d.w_ch;
        dLdT(:,3)=PARA.lambda_ch./PARA_d.lambda_ch;
        dvdT(:,3)=PARA.v_ch./PARA_d.v_ch;
        dpdT(:,3)=diag(PARA.pi_ch)./diag(PARA_d.pi_ch); 
        dadT(:,3)=PARA.a_ch./PARA_d.a_ch; 
        dddT(:,3)=diag(PARA.d_ch)./diag(PARA_d.d_ch); 
        dd2dT(:,3)=sum(PARA.d_ch.*PARA.d0,2)./sum(PARA_d.d_ch.*PARA.d0,2); 
        dPdT(:,3)=PARA.P_ch./PARA_d.P_ch; 
        drdT(:,3)=PARA.r_ch./PARA_d.r_ch; 
        dTBARdT(:,3)=PARA.TBAR_ch;
        usedt1(:,3)=PARA.t1;
        usedTBAR(:,3)=PARA.TBAR.*ones(n,1);
        usedTS1(:,3)=PARA.TS1;

        U_chSim_relobs(:,3)=U_ch;
        dwdT_relobs(:,3)=PARA.w_ch;
        dLdT_relobs(:,3)=PARA.lambda_ch;
        dvdT_relobs(:,3)=PARA.v_ch;
        dpdT_relobs(:,3)=diag(PARA.pi_ch); 
        dadT_relobs(:,3)=PARA.a_ch; 
        dddT_relobs(:,3)=diag(PARA.d_ch); 
        dd2dT_relobs(:,3)=sum(PARA.d_ch.*PARA.d0,2)./sum(PARA.d0,2); 
        dPdT_relobs(:,3)=PARA.P_ch; 
        drdT_relobs(:,3)=PARA.r_ch; 
        dTBARdT_relobs(:,3)=PARA.TBAR_ch;
        usedt1_relobs(:,3)=PARA.t1;
        usedTBAR_relobs(:,3)=PARA.TBAR.*ones(n,1);
        usedTS1_relobs(:,3)=PARA.TS1;
        dTdT_relobs(:,3)=(PARA.TSd1.*PARA.ShareTd0).*PARA.TBAR_ch./(PARA.TSd0.*PARA.ShareTd0);
    end

    if strcmp(PARA.optim, 'c')==1 | strcmp(PARA.optim, 'All')==1
        PARA.TS1=zeros(n,1); % Function uses PARA.TSw1, PARA.TSa1, PARA.TSd1 such that we can ignore TS1
        PARA.TBAR=PARA.TBARc;
    	PARA.t1=PARA.TBAR./sum(PARA.w0.*PARA.lambda0.*PARA.LBAR).*ones(n,1);
        
        disp(['************** All case: ' num2str(i) ' ****************']);
        [U_ch,PARA]=solveCounterfactual(PARA);
        U_chSim(:,4)=U_ch./PARA_c.U_ch;
        dwdT(:,4)=PARA.w_ch./PARA_c.w_ch;
        dLdT(:,4)=PARA.lambda_ch./PARA_c.lambda_ch;
        dvdT(:,4)=PARA.v_ch./PARA_c.v_ch;
        dpdT(:,4)=diag(PARA.pi_ch)./diag(PARA_c.pi_ch); 
        dadT(:,4)=PARA.a_ch./PARA_c.a_ch;
        dddT(:,4)=diag(PARA.d_ch)./diag(PARA_c.d_ch); 
        dd2dT(:,4)=sum(PARA.d_ch.*PARA.d0,2)./sum(PARA_c.d_ch.*PARA.d0,2); 
        dPdT(:,4)=PARA.P_ch./PARA_c.P_ch; 
        drdT(:,4)=PARA.r_ch./PARA_c.r_ch; 
        dTBARdT(:,4)=PARA.TBAR_ch;
        usedt1(:,4)=PARA.t1;
        usedTBAR(:,4)=PARA.TBAR.*ones(n,1);
        usedTS1(:,4)=PARA.TS1;

        U_chSim_relobs(:,4)=U_ch;
        dwdT_relobs(:,4)=PARA.w_ch;
        dLdT_relobs(:,4)=PARA.lambda_ch;
        dvdT_relobs(:,4)=PARA.v_ch;
        dpdT_relobs(:,4)=diag(PARA.pi_ch); 
        dadT_relobs(:,4)=PARA.a_ch;
        dddT_relobs(:,4)=diag(PARA.d_ch); 
        dd2dT_relobs(:,4)=sum(PARA.d_ch.*PARA.d0,2)./sum(PARA.d0,2); 
        dPdT_relobs(:,4)=PARA.P_ch; 
        drdT_relobs(:,4)=PARA.r_ch; 
        dTBARdT_relobs(:,4)=PARA.TBAR_ch;
        usedt1_relobs(:,4)=PARA.t1;
        usedTBAR_relobs(:,4)=PARA.TBAR.*ones(n,1);
        usedTS1_relobs(:,4)=PARA.TS1;
        dTdT_relobs(:,4)=(PARA.TSw1.*PARA.ShareTw0+PARA.TSa1.*PARA.ShareTa0+PARA.TSd1.*PARA.ShareTd0).*PARA.TBAR_ch./(PARA.TSw0.*PARA.ShareTw0+PARA.TSa0.*PARA.ShareTa0+PARA.TSd0.*PARA.ShareTd0);
    end

    usedTS1_B=usedTS1;
    usedTS1_B(usedTS1_B.*usedTBAR<1000)=NaN;

    usedTS1_relobs_B=usedTS1_relobs;
    usedTS1_relobs_B(usedTS1_relobs_B.*usedTBAR_relobs<1000)=NaN;
    
    T = table(regions,id_0,U_chSim(:,1),U_chSim(:,2),U_chSim(:,3),U_chSim(:,4),dwdT(:,1),dwdT(:,2),dwdT(:,3),dwdT(:,4),dLdT(:,1),dLdT(:,2),dLdT(:,3),dLdT(:,4),dvdT(:,1),dvdT(:,2),dvdT(:,3),dvdT(:,4),dpdT(:,1),dpdT(:,2),dpdT(:,3),dpdT(:,4),dadT(:,1),dadT(:,2),dadT(:,3),dadT(:,4),dddT(:,1),dddT(:,2),dddT(:,3),dddT(:,4),usedt1(:,1),usedt1(:,2),usedt1(:,3),usedt1(:,4),usedTBAR(:,1),usedTBAR(:,2),usedTBAR(:,3),usedTBAR(:,4),usedTS1(:,1),usedTS1(:,2),usedTS1(:,3),usedTS1(:,4),usedTS1_B(:,1),usedTS1_B(:,2),usedTS1_B(:,3),usedTS1_B(:,4),dd2dT(:,1),dd2dT(:,2),dd2dT(:,3),dd2dT(:,4));
    T.Properties.VariableNames = {'Region' 'RegionID' 'U_ch_w' 'U_ch_a' 'U_ch_d' 'U_ch' 'w_ch_w' 'w_ch_a' 'w_ch_d' 'w_ch' 'L_ch_w' 'L_ch_a' 'L_ch_d' 'L_ch' 'v_ch_w' 'v_ch_a' 'v_ch_d' 'v_ch' 'pi_ch_w' 'pi_ch_a' 'pi_ch_d' 'pi_ch' 'a_ch_w' 'a_ch_a' 'a_ch_d' 'a_ch' 'd_ch_w' 'd_ch_a' 'd_ch_d' 'd_ch' 't1_w' 't1_a' 't1_d' 't1_c' 'TBAR_w' 'TBAR_a' 'TBAR_d' 'TBAR_c' 'TS1_w' 'TS1_a' 'TS1_d' 'TS1_c' 'TS1_B_w' 'TS1_B_a' 'TS1_B_d' 'TS1_B_c' 'sum_d_ch_w' 'sum_d_ch_a' 'sum_d_ch_d' 'sum_d_ch_c'};
    filename = [path '\output\xls\output_sim.xlsx'];
    system('taskkill /F /IM EXCEL.EXE');
    writetable(T,filename,'Sheet',['Sim case ' num2str(i) '_relno'])

    T = table(regions,id_0,U_chSim_relobs(:,1),U_chSim_relobs(:,2),U_chSim_relobs(:,3),U_chSim_relobs(:,4),dwdT_relobs(:,1),dwdT_relobs(:,2),dwdT_relobs(:,3),dwdT_relobs(:,4),dLdT_relobs(:,1),dLdT_relobs(:,2),dLdT_relobs(:,3),dLdT_relobs(:,4),dvdT_relobs(:,1),dvdT_relobs(:,2),dvdT_relobs(:,3),dvdT_relobs(:,4),dpdT_relobs(:,1),dpdT_relobs(:,2),dpdT_relobs(:,3),dpdT_relobs(:,4),dadT_relobs(:,1),dadT_relobs(:,2),dadT_relobs(:,3),dadT_relobs(:,4),dddT_relobs(:,1),dddT_relobs(:,2),dddT_relobs(:,3),dddT_relobs(:,4),usedt1_relobs(:,1),usedt1_relobs(:,2),usedt1_relobs(:,3),usedt1_relobs(:,4),usedTBAR_relobs(:,1),usedTBAR_relobs(:,2),usedTBAR_relobs(:,3),usedTBAR_relobs(:,4),usedTS1_relobs(:,1),usedTS1_relobs(:,2),usedTS1_relobs(:,3),usedTS1_relobs(:,4),usedTS1_relobs_B(:,1),usedTS1_relobs_B(:,2),usedTS1_relobs_B(:,3),usedTS1_relobs_B(:,4),dd2dT_relobs(:,1),dd2dT_relobs(:,2),dd2dT_relobs(:,3),dd2dT_relobs(:,4),dTdT_relobs(:,1),dTdT_relobs(:,2),dTdT_relobs(:,3),dTdT_relobs(:,4));
    T.Properties.VariableNames = {'Region' 'RegionID' 'U_ch_w' 'U_ch_a' 'U_ch_d' 'U_ch' 'w_ch_w' 'w_ch_a' 'w_ch_d' 'w_ch' 'L_ch_w' 'L_ch_a' 'L_ch_d' 'L_ch' 'v_ch_w' 'v_ch_a' 'v_ch_d' 'v_ch' 'pi_ch_w' 'pi_ch_a' 'pi_ch_d' 'pi_ch' 'a_ch_w' 'a_ch_a' 'a_ch_d' 'a_ch' 'd_ch_w' 'd_ch_a' 'd_ch_d' 'd_ch' 't1_w' 't1_a' 't1_d' 't1_c' 'TBAR_w' 'TBAR_a' 'TBAR_d' 'TBAR_c' 'TS1_w' 'TS1_a' 'TS1_d' 'TS1_c' 'TS1_B_w' 'TS1_B_a' 'TS1_B_d' 'TS1_B_c' 'sum_d_ch_w' 'sum_d_ch_a' 'sum_d_ch_d' 'sum_d_ch_c' 'dTdT_w' 'dTdT_a' 'dTdT_d' 'dTdT_c'};
    filename = [path '\output\xls\output_sim.xlsx'];
    system('taskkill /F /IM EXCEL.EXE');
    writetable(T,filename,'Sheet',['Sim case ' num2str(i) '_relobs'])
  
    A=(dvdT.*(dadT./dLdT.^PARA.mu)./(dddT)).^alpha;
    B=(1./dwdT).^alpha.*(dpdT.^(alpha/(1-sigma))).*((1./dLdT).^(1/epsilon+1-alpha-alpha*mu));

    [PARA.L0, PARA.TS1, A(:,4), A(:,4).*B(:,4),(A(:,4)-(A(:,4).*B(:,4)))];
    overestimateRF=(mean((A.*B)-A)).*100;
    overestimateRF_weighted=(sum(((A.*B)-A).*(noT_l./PARA.LBAR))).*100
    
    estimateRF=mean(A-1).*100;
    estimateRF_weighted=(sum((A-1).*(dLdT.*noT_l./PARA.LBAR))).*100;
    
    caseL=dLdT.*noT_l;
    caseV=dvdT.*noT_v;
    caseW=dwdT.*noT_w;
    caseREALV1=(dvdT./(dPdT.^(PARA.alpha).*drdT.^(1-PARA.alpha))).*noT_realv0;

    for ii=1:4
        var_lambda1(1,ii)=var(caseL(:,ii)).^(0.5)./mean(caseL(:,ii));
        var_v1(1,ii)=var(caseV(:,ii)).^(0.5)./mean(caseV(:,ii));
        var_realv1(1,ii)=var(caseREALV1(:,ii)).^(0.5)./mean(caseREALV1(:,ii));
    end
    
    var1=[var_lambda1; var_v1; var_realv1];
    var_hat=((var1./var0-1).*100);
    
    A=[(U_chSim(1,:)-1)*100;var_hat];
    B=[estimateRF;estimateRF_weighted];
    C=[overestimateRF;overestimateRF_weighted];
    
    OV_W(:,i)=A(:,1);
    OV_A(:,i)=A(:,2);
    OV_D(:,i)=A(:,3);
    OV_C(:,i)=A(:,4);
    
    OV_RF_Eff_W(:,i)=B(:,1);
    OV_RF_Eff_A(:,i)=B(:,2);
    OV_RF_Eff_D(:,i)=B(:,3);
    OV_RF_Eff_C(:,i)=B(:,4);
    
    OV_RF_Eff_W2(:,i)=C(:,1);
    OV_RF_Eff_A2(:,i)=C(:,2);
    OV_RF_Eff_D2(:,i)=C(:,3);
    OV_RF_Eff_C2(:,i)=C(:,4);    
    
end
save([path '\output\mat\simtables.mat']);

asdfasdf
load([path '\output\mat\simtables.mat']);

% Case 2 = Equal Distribution, case 3 = observed Distribution, case 4 = optimal Distribution, case 5 = Constant Variance
OV_W1=OV_W(1:4,[2,3,4]);
OV_A1=OV_A(1:4,[2,3,4]);
OV_D1=OV_D(1:4,[2,3,4]);
OV_C1=OV_C(1:4,[2,3,4]);

OV_W2=OV_W([1,3],[3,5]);
OV_A2=OV_A([1,3],[3,5]);
OV_D2=OV_D([1,3],[3,5]);
OV_C2=OV_C([1,3],[3,5]);

OV_RF_Eff_W=OV_RF_Eff_W(1,[2,3,4]);
OV_RF_Eff_A=OV_RF_Eff_A(1,[2,3,4]);
OV_RF_Eff_D=OV_RF_Eff_D(1,[2,3,4]);
OV_RF_Eff_C=OV_RF_Eff_C(1,[2,3,4]);
[OV_W1(1,2);OV_A1(1,2);OV_D1(1,2);OV_C1(1,2)]-[OV_RF_Eff_W;OV_RF_Eff_A;OV_RF_Eff_D;OV_RF_Eff_C]


GE=[OV_W1(1,2);OV_A1(1,2);OV_D1(1,2);OV_C1(1,2)];
PE=[OV_RF_Eff_W(1,2);OV_RF_Eff_A(1,2);OV_RF_Eff_D(1,2);OV_RF_Eff_C(1,2)];
GE-PE


addpath([path '\functions\']);

%
% Create Latex Tables
%
pathlatex=[path '\output\tex\tables']

rowLabels = { 'Welfare ($\hat{V}_n$)' '$\widehat{CV}(L_{n})$' '$\widehat{CV}(y_{n})$' '$\widehat{CV} (\nicefrac{y_n}{P_n^\alpha r_n^{1-\alpha}})$'};
matrix2latex([OV_W1,OV_A1], [pathlatex '\Overview_effects_WA.tex'], 'rowLabels', rowLabels, 'alignment', 'c', 'format', '%-6.2f', 'addsign', '\%;\%;\%;\%;\%;');
matrix2latex([OV_D1,OV_C1], [pathlatex '\Overview_effects_DC.tex'], 'rowLabels', rowLabels, 'alignment', 'c', 'format', '%-6.2f', 'addsign', '\%;\%;\%;\%;\%;');

rowLabels = { 'Welfare ($\hat{V}_n$)' '$\widehat{CV}(y_{n})$'};
matrix2latex([OV_W2,OV_A2], [pathlatex '\Overview_effects_constvar_WA.tex'], 'rowLabels', rowLabels, 'alignment', 'c', 'format', '%-6.2f', 'addsign', '\%;\%;\%;\%;\%;');
matrix2latex([OV_D2,OV_C2], [pathlatex '\Overview_effects_constvar_DC.tex'], 'rowLabels', rowLabels, 'alignment', 'c', 'format', '%-6.2f', 'addsign', '\%;\%;\%;\%;\%;');

rowLabels = {'Wage subsidies' 'Production amenities' 'Transport infrastructure' 'All transfers'};
matrix2latex([GE,PE,GE-PE], [pathlatex '\GEminusPE_Welfare_effects.tex'], 'rowLabels', rowLabels, 'alignment', 'c', 'format', '%-6.2f', 'addsign', '');

